#if !defined(AFX_TRANSACTIONLISTDLG_H__191469B9_7366_4218_8168_A9250457F8BD__INCLUDED_)
#define AFX_TRANSACTIONLISTDLG_H__191469B9_7366_4218_8168_A9250457F8BD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TransactionListDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTransactionListDlg dialog
#include "resource.h"
#include <apl_api.h>
#include <apl_gui.h>

#include "aplProjectMgr.h"

class CTransactionListDlg : public CaplResizableDialog
{
// Construction
protected:
	CaplAPI		*m_api;
	CaplProjectManager	*m_pProjectMgr;

public:
	CTransactionListDlg(CaplProjectManager *pProjectMgr, CWnd* pParent = NULL);   // standard constructor

	CaplInstance *m_inst;//проект
// Dialog Data
	//{{AFX_DATA(CTransactionListDlg)
	enum { IDD = IDD_TRANSACTIONS_LIST_DLG };
	CaplButton	m_edit_btn;
	CaplButton	m_del_btn;
	CaplButton	m_add_btn;
	CaplButton	m_ok_btn;
	CaplButton m_Add2Btn;
	CSortListCtrl	m_TransactionsListCtrl;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTransactionListDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// предотвращаем потерю модальности после диалога с бочками из aplSocketTransport
	CaplParentWndProcesser m_pwp;

	// Generated message map functions
	//{{AFX_MSG(CTransactionListDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnEdit();
	afx_msg void OnAdd();
	afx_msg void OnDel();
	virtual void OnOK();
	afx_msg void OnDblclkList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReport();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedAdd2();
	
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRANSACTIONLISTDLG_H__191469B9_7366_4218_8168_A9250457F8BD__INCLUDED_)
